#ifndef __OOL_XSOUND_H__
#define __OOL_XSOUND_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------ OS/2 version 0.01a */
/*===========================================================================*/
/*                              class: XSound                                */
/*                       derived from: XMediaWindow                          */
/*                        last update: 4/96                                  */
/*                      programmed by: Stefan von Brauk                      */
/*===========================================================================*/

#include "xmedia.h"

class XFrameWindow;

class _export_ XSound: public XMediaWindow{
   private:
      USHORT type;
   public:
      XSound( XFrameWindow *);
      virtual ~XSound();
      LONG CloseDevice( void );
      LONG OpenDevice( char * p);
      LONG SetDataFile( char * p);
      LONG SetVolume( USHORT volumePercent);
};


#endif
